--Ahorrador
img_caja={}
esce={}
img={}
bar={}
dki={}
dimg={}
peach={}
img_escritorio={}
mover={}
marco={}

function liberar(number)
if type(fondo)!="userdata" then fondo=image.load("APP/explorador/fondo.png") end


if number==1 then
	reloj=image.load("OTHER/reloj.png")
	img_apagado=image.load("FX/imagenes/escritorio/apagar.png")
	barrainf=image.load("FX/imagenes/escritorio/barrainfe"..tema..".png")
	inicio=image.load("FX/imagenes/escritorio/inicio"..tema..".png")
	inicio1=image.load("FX/imagenes/escritorio/inicio4.png")
else
	if type(reloj)=="userdata" then reloj:free() reloj=nil end
	if type(img_apagado)=="userdata" then img_apagado:free() img_apagado=nil end
	if type(barrainf)=="userdata" then barrainf:free() barrainf=nil end
	if type(inicio)=="userdata" then inicio:free() inicio=nil end
	if type(inicio1)=="userdata" then inicio1:free() inicio1=nil end
	for i=1,#img_escritorio do
		if type(img_escritorio[i])=="userdata" and i!=fondo_escritorio then img_escritorio[i]:free() img_escritorio[i]=nil end
	end
end


if number==2 then
	lcd=font.load("APP/calculadora/fontcalcula.pgf")
	fondoa=image.load("APP/calculadora/fondoa.png")
	fondob=image.load("APP/calculadora/fondob.png")
else
	if type(lcd)=="userdata" then lcd:free() lcd=nil end
	if type(fondoa)=="userdata" then fondoa:free() fondoa=nil end
	if type(fondob)=="userdata" then fondob:free() fondob=nil end
end


if number==3 then
for i=1,9 do
	marco[i]=image.load("APP/cam/m"..i..".png")
end
else
	for i=1,9 do
		if type(marco[i])=="userdata" then
			marco[i]:free()
			marco[i]=nil
		end
	end
end

if number==4 then
	barraexpimg=image.load("APP/explorador/indicador.png")
	barralateral=image.load("APP/explorador/barralateral.png")
else
	if type(barraexpimg)=="userdata" then barraexpimg:free() barraexpimg=nil end
	if type(barralateral)=="userdata" then barralateral:free() barralateral=nil end
end



if number==5 then
	fondo2=image.load("APP/explorador/fondo2.png")
else
	if type(fondo2)=="userdata" then fondo2:free() fondo2=nil end
end
if number==6 then
	fondo_blend=image.load("GAMES/arka/fondo.png")
	img_prede=image.load("GAMES/arka/prede.png")
	fireball=image.load("GAMES/arka/fireball.png")
	bloque1=image.load("GAMES/arka/bloque1.png")
	bloque2=image.load("GAMES/arka/bloque2.png")
	bloque3=image.load("GAMES/arka/bloque3.png")
	plata_img=image.load("GAMES/arka/plataforma.png")
	for i=1,4 do
		img_caja[i]=image.load("GAMES/arka/"..i..".png")
	end
else
	if type(fondo_blend)=="userdata" then fondo_blend:free() fondo_blend=nil end
	if type(img_prede)=="userdata" then img_prede:free() img_prede=nil end
	if type(fireball)=="userdata" then fireball:free() fireball=nil end
	if type(bloque1)=="userdata" then bloque1:free() bloque1=nil end
	if type(bloque2)=="userdata" then bloque2:free() bloque2=nil end
	if type(bloque3)=="userdata" then bloque3:free() bloque3=nil end
	if type(plata_img)=="userdata" then plata_img:free() plata_img=nil end
	for i=1,4 do
		if type(img_caja[i])=="userdata" then img_caja[i]:free() img_caja[i]=nil end
	end
end

if number==7 then
	mainb=image.load("GAMES/battle/mainb.png")
	shipimg=image.load("GAMES/battle/ship.png")
	snd=sound.load("GAMES/battle/disparo.wav")
	caņon=image.load("GAMES/battle/bola.png")
else
	if type(mainb)=="userdata" then mainb:free() mainb=nil end
	if type(shipimg)=="userdata" then shipimg:free() shipimg=nil end
	if type(snd)=="userdata" then snd:free() snd=nil end
	if type(caņon)=="userdata" then caņon:free() caņon=nil end
end
if number==8 then
	for i=1,5 do
		esce[i]=image.load("GAMES/DK/imagenes/escenarios/"..i..".png")
	end
		ganas=sound.load("GAMES/DK/sonidos/ganas.wav")
		pierdes=sound.load("GAMES/DK/sonidos/pierdes.wav")
		muere=sound.load("GAMES/DK/sonidos/muere.wav")
		salto=sound.load("GAMES/DK/sonidos/salto.wav")
		caminar=sound.load("GAMES/DK/sonidos/caminar.wav")
		municion=image.load("GAMES/DK/imagenes/sprites/barriles.png")
		creditos=image.load("GAMES/DK/imagenes/menus/creditos.png")
	for i=1,12 do
		sprites_dk[i]=image.load("GAMES/DK/imagenes/sprites/p"..i..".png")
	end
	for i=1,5 do
		bar[i]=image.load("GAMES/DK/imagenes/sprites/b"..i..".png")
	end
	for i=1,5 do
		dki[i]=image.load("GAMES/DK/imagenes/sprites/dk"..i..".png")
	end
	for i=1,2 do
		dimg[i]=image.load("GAMES/DK/imagenes/sprites/d"..i..".png")
	end
	for i=1,3 do
		peach[i]=image.load("GAMES/DK/imagenes/sprites/a"..i..".png")
	end
	else
	for i=1,5 do
		if type(esce[i])=="userdata" then esce[i]:free() esce[i]=nil end
	end
		if type(ganas)=="userdata" then ganas:free() ganas=nil end
		if type(pierdes)=="userdata" then pierdes:free() pierdes=nil end
		if type(muere)=="userdata" then muere:free() muere=nil end
		if type(salto)=="userdata" then salto:free() salto=nil end
		if type(caminar)=="userdata" then caminar:free() caminar=nil end
		if type(municion)=="userdata" then municion:free() municion=nil end
		if type(creditos)=="userdata" then creditos:free() creditos=nil end
	for i=1,12 do
		if type(sprites_dk[i])=="userdata" then sprites_dk[i]:free() sprites_dk[i]=nil end
	end
	for i=1,5 do
		if type(bar[i])=="userdata" then bar[i]:free() bar[i]=nil end
	end
	for i=1,5 do
		if type(dki[i])=="userdata" then dki[i]:free() dki[i]=nil end
	end
	for i=1,2 do
		if type(dimg[i])=="userdata" then dimg[i]:free() dimg[i]=nil end
	end
	for i=1,3 do
		if type(peach[i])=="userdata" then peach[i]:free() peach[i]=nil end
	end
end
if number==9 then
	fondo_sudok=model.load("GAMES/sudoku/fondo.png")
	fondo_sudok1=model.load("GAMES/sudoku/fondo2.png")
	img_sudok=image.load("GAMES/sudoku/sudoku.png")
else
	if type(fondo_sudok)=="userdata" then fondo_sudok:free() fondo_sudok=nil end
	if type(fondo_sudok1)=="userdata" then fondo_sudok1:free() fondo_sudok1=nil end
	if type(img_sudok)=="userdata" then img_sudok:free() img_sudok=nil end
end
if number!=10 then
	if type(imgwifi)=="userdata" then imgwifi:free() imgwifi=nil end
end
if number==11 then
	fondo_editor=image.load("APP/NotepadCode/fondo.png")
else
	if type(fondo_editor)=="userdata" then fondo_editor:free() fondo_editor=nil end
end
if number==12 then
	mouse=image.load("APP/paint/mouse.png")
	croma.i=image.load("APP/paint/circle.png")
	bh.i=image.load("APP/paint/barra.png")
	superior=image.load("APP/paint/superior.png")
	interfaz=image.load("APP/paint/interfaz.png")
	indicador=image.load("APP/paint/indicador.png")
	stencil=font.load("APP/paint/stencil.pgf")
	tnr=font.load("APP/paint/TNR.pgf")
else
	if type(mouse)=="userdata" then mouse:free() mouse=nil end
	if type(croma.i)=="userdata" then croma.i:free() croma.i=nil end
	if type(bh.i)=="userdata" then bh.i:free() bh.i=nil end
	if type(superior)=="userdata" then superior:free() superior=nil end
	if type(interfaz)=="userdata" then interfaz:free() interfaz=nil end
	if type(indicador)=="userdata" then indicador:free() indicador=nil end
	if type(stencil)=="userdata" then stencil:free() stencil=nil end
	if type(tnr)=="userdata" then tnr:free() tnr=nil end
end


if number==13 then
	panel_e=image.load("SYSTEM/panel/fondo.png")
	ip_p=image.load("SYSTEM/panel/puntero.png")
	for i=1,5 do
		adj_img[i]=image.load("SYSTEM/panel/ajuste"..i..".png")
	end
else
	if type(panel_e)=="userdata" then panel_e:free() panel_e=nil end
	if type(ip_p)=="userdata" then ip_p:free() ip_p=nil end
	for i=1,5 do
		if type(adj_img[i])=="userdata" then adj_img[i]:free() adj_img[i]=nil end
	end
end


if number==14 then
	vis_fon=image.load("APP/visor/fondo.png")
else
	if type(vis_fon)=="userdata" then vis_fon:free() vis_fon=nil end
end
if number==15 then
	fondo_wm=image.load("APP/WM/fondo.png")
	indicador_wm=image.load("APP/WM/indicador_pos.png")
else
	if type(fondo_wm)=="userdata" then fondo_wm:free() fondo_wm=nil end
	if type(indicador_wm)=="userdata" then indicador_wm:free() indicador_wm=nil end
end
if number==16 then
	moveimg=image.load("APP/powerpoint/imagenes/mover.png")
	barra_power=image.load("APP/powerpoint/imagenes/barra.png")
	barratxt=image.load("APP/powerpoint/imagenes/barratxt.png")
else
	if type(moveimg)=="userdata" then moveimg:free() moveimg=nil end
	if type(barra_power)=="userdata" then barra_power:free() barra_power=nil end
	if type(barratxt)=="userdata" then barratxt:free() barratxt=nil end
end
if number==17 then
	fondowiki=image.load("WWW/online/wiki.png")
	imgwifi=image.load("WWW/news/fondo.png")
else
	if type(fondowiki)=="userdata" then fondowiki:free() fondowiki=nil end
	if type(imgwifi)=="userdata" then imgwifi:free() imgwifi=nil end
end

if number==18 then
	barra_cerrar=image.load("SYSTEM/panel/fondo.png")
	imgwifi=image.load("WWW/news/fondo.png")
else
	if type(imgwifi)=="userdata" then imgwifi:free() imgwifi=nil end
	if type(barra_cerrar)=="userdata" then barra_cerrar:free() barra_cerrar=nil end
end

if number==19 then
	msimg=image.load("SYSTEM/consola/fondo.png")
	cursormove=image.load("SYSTEM/consola/move.png")
else
	if type(msimg)=="userdata" then msimg:free() msimg=nil end
	if type(cursormove)=="userdata" then cursormove:free() cursormove=nil end
end

if number==20 then
	barra_cerrar=image.load("SYSTEM/panel/fondo.png")
else
	if type(barra_cerrar)=="userdata" then barra_cerrar:free() barra_cerrar=nil end
end

if number==21 then
	for i=1,3 do
		snk_t[i]=image.load("GAMES/Snake/imagenes/t"..i..".png")
	end
	for i=1,4 do
		snk_s[i]=image.load("GAMES/Snake/imagenes/s"..i..".png")
	end
else
	for i=1,3 do
		if type(snk_t[i])=="userdata" then snk_t[i]:free() snk_t[i]=nil end
	end
	for i=1,4 do
		if type(snk_s[i])=="userdata" then snk_s[i]:free() snk_s[i]=nil end
	end
end
if number==22 then
	ola=image.load("APP/calendario/ola.png")
	imgwifi=image.load("WWW/news/fondo.png")
else
	if type(ola)=="userdata" then ola:free() ola=nil end
	if type(imgwifi)=="userdata" then imgwifi:free() imgwifi=nil end
end

if number==23 then
	msfile=image.load("APP/MS File Transfer/msfile.png")
else
	if type(msfile)=="userdata" then msfile:free() msfile=nil end
end

if number==24 then
	fondodown=image.load("WWW/online/music.png")
else
	if type(fondodown)=="userdata" then fondodown:free() fondodown=nil end
end


if number==25 then
	for i=1,5 do
		flags[i]=image.load("APP/diccionario/img/"..i..".png")
	end
	imgdic=image.load("APP/diccionario/img/fondo.png")
	seņal=image.load("APP/diccionario/img/indicador.png")
	barra_dic=image.load("APP/diccionario/img/barra.png")
else
	for i=1,5 do
		if type(flags[i])=="userdata" then flags[i]:free() flags[i]=nil end
	end
	if type(imgdic)=="userdata" then imgdic:free() imgdic=nil end
	if type(seņal)=="userdata" then seņal:free() seņal=nil end
	if type(barra_dic)=="userdata" then barra_dic:free() barra_dic=nil end
end


if type(adminimg)=="userdata" then adminimg:free() adminimg=nil end


collectgarbage("collect")

end



